{%- from "octavia/map.jinja" import api,manager with context %}

octavia_service_running:
  test.show_notification:
    - text: "Running octavia.upgrade.service_running"

{%- set oservices = [] %}

{%- if api.get('enabled', false) %}
  {# Since MU 2019.2.6 Octavia-Api is under Apache #}
  {%- if pillar.get('apache', {}).get('server', {}).get('site', {}).octavia_api is defined %}
    {%- do oservices.append('apache2') %}
  {%- else %}
    {%- do oservices.extend(api.services) %}
  {%- endif %}
{%- endif %}
{%- if manager.get('enabled', false) %}
  {%- do oservices.extend(manager.services) %}
{%- endif %}

{%- for oservice in oservices|unique %}
octavia_service_{{ oservice }}_running:
  service.running:
  - enable: True
  - name: {{ oservice }}
{%- endfor %}
