{%- from "octavia/map.jinja" import api,manager with context %}

octavia_service_stopped:
  test.show_notification:
    - text: "Running octavia.upgrade.service_stopped"

{%- set oservices = [] %}
{%- set depcrecated_services = [] %}

{%- if api.get('enabled', false) %}
  {# Since MU 2019.2.6 Octavia-Api is under Apache, but need to stop old service anyway #}
  {%- if pillar.get('apache', {}).get('server', {}).get('site', {}).octavia_api is defined %}
    {%- do oservices.append('apache2') %}
    {%- do oservices.extend(api.services) %}
    {%- do depcrecated_services.extend(api.services) %}
  {%- else %}
    {%- do oservices.extend(api.services) %}
  {%- endif %}
{%- endif %}
{%- if manager.get('enabled', false) %}
  {%- do oservices.extend(manager.services) %}
{%- endif %}

{%- for oservice in oservices|unique %}
octavia_service_{{ oservice }}_stopped:
  service.dead:
  {%- if oservice in depcrecated_services %}
  - enable: False
  {%- else %}
  - enable: True
  {%- endif %}
  - name: {{ oservice }}
{%- endfor %}
